### Function Macro

# GObject PRIVATE_OFFSET

since: 2.38

#### Declaration

    #define G_PRIVATE_OFFSET (
      TypeName,
      field
    )

#### Description

Evaluates to the offset of the `field` inside the instance private data structure for `TypeName`.

Note that this macro can only be used together with the `G_DEFINE_TYPE_*` and G_ADD_PRIVATE() macros, since it depends on variable names from those macros.

Available since: 2.38

This function is not directly available to language bindings.

#### Parameters

`TypeName`

  Type: `-`

  The name of the type in CamelCase.

`field`

  Type: `-`

  The name of the field in the private data structure.